%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-referencing
Version:       0.36.1
Release:       1mamba
Summary:       JSON Referencing + Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/python-jsonschema/referencing
Source:        http://pypi.debian.net/referencing/referencing-%{version}.tar.gz
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(attrs)
BuildRequires: python3.11dist(rpds-py)
BuildRequires: python3.11dist(typing-extensions)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n referencing-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc COPYING

%changelog
* Sun Jan 19 2025 Automatic Build System <autodist@openmamba.org> 0.36.1-1mamba
- automatic version update by autodist

* Thu May 02 2024 Automatic Build System <autodist@openmamba.org> 0.35.1-1mamba
- automatic version update by autodist

* Wed Apr 24 2024 Automatic Build System <autodist@openmamba.org> 0.35.0-1mamba
- automatic version update by autodist

* Sun Mar 17 2024 Automatic Build System <autodist@openmamba.org> 0.34.0-1mamba
- automatic version update by autodist

* Mon Jan 29 2024 Automatic Build System <autodist@openmamba.org> 0.33.0-1mamba
- automatic version update by autodist

* Sat Jan 06 2024 Automatic Build System <autodist@openmamba.org> 0.32.1-1mamba
- automatic version update by autodist

* Fri Dec 08 2023 Automatic Build System <autodist@mambasoft.it> 0.32.0-1mamba
- automatic version update by autodist

* Thu Nov 30 2023 Automatic Build System <autodist@mambasoft.it> 0.31.1-1mamba
- automatic version update by autodist

* Wed Nov 15 2023 Automatic Build System <autodist@mambasoft.it> 0.31.0-1mamba
- automatic version update by autodist

* Sat Sep 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.30.2-1mamba
- package created using the webbuild interface
